## net.i2p.router.web
Class ConfigStatsHelper

    java.lang.Object
      net.i2p.router.web.ConfigStatsHelper

public class ConfigStatsHelper
extends java.lang.Object

Constructor Summary
`ConfigStatsHelper()`

Method Summary
`java.lang.String` `getCurrentGroupName()` What group is the current stat in
`boolean` `getCurrentIsLogged()`
`java.lang.String` `getCurrentStatDescription()`
`java.lang.String` `getCurrentStatName()`
`java.lang.String` `getExplicitFilter()`
`java.lang.String` `getFilename()`
`boolean` `groupRequired()` Is the current stat the first in the group?
`boolean` `hasMoreStats()` move the cursor to the next known stat, returning true if a valid stat is available.
`void` `setContextId(java.lang.String contextId)` Configure this bean to query a particular router context

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigStatsHelper

    public ConfigStatsHelper()

Method Detail

### setContextId

    public void setContextId(java.lang.String contextId)

  Configure this bean to query a particular router context

  Parameters:
    `contextId` - begging few characters of the routerHash, or null to pick the first one we come across.

### getFilename

    public java.lang.String getFilename()

### hasMoreStats

    public boolean hasMoreStats()

  move the cursor to the next known stat, returning true if a valid stat is available.

  Returns:
    true if a valid stat is available, otherwise false

### groupRequired

    public boolean groupRequired()

  Is the current stat the first in the group?

### getCurrentGroupName

    public java.lang.String getCurrentGroupName()

  What group is the current stat in

### getCurrentStatName

    public java.lang.String getCurrentStatName()

### getCurrentStatDescription

    public java.lang.String getCurrentStatDescription()

### getCurrentIsLogged

    public boolean getCurrentIsLogged()

### getExplicitFilter

    public java.lang.String getExplicitFilter()